XmlStreamReaderException (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.input

## Class XmlStreamReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.io.input.XmlStreamReaderException

- All Implemented Interfaces:
    java.io.Serializable

      public class XmlStreamReaderException
      extends java.io.IOException

  The XmlStreamReaderException is thrown by the XmlStreamReader constructors if the charset encoding can not be determined according to the XML 1.0 specification and RFC 3023.

  The exception returns the unconsumed InputStream to allow the application to do an alternate processing with the stream. Note that the original InputStream given to the XmlStreamReader cannot be used as that one has been already read.

  Since:
    2.0
  Version:
    $Id: XmlStreamReaderException.java 1415850 2012-11-30 20:51:39Z ggregory $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `bomEncoding`
    `private java.lang.String` | `contentTypeEncoding`
    `private java.lang.String` | `contentTypeMime`
    `private static long` | `serialVersionUID`
    `private java.lang.String` | `xmlEncoding`
    `private java.lang.String` | `xmlGuessEncoding`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlStreamReaderException(java.lang.String msg, java.lang.String bomEnc, java.lang.String xmlGuessEnc, java.lang.String xmlEnc)` Creates an exception instance if the charset encoding could not be determined.
    `XmlStreamReaderException(java.lang.String msg, java.lang.String ctMime, java.lang.String ctEnc, java.lang.String bomEnc, java.lang.String xmlGuessEnc, java.lang.String xmlEnc)` Creates an exception instance if the charset encoding could not be determined.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBomEncoding()` Returns the BOM encoding found in the InputStream.
    `java.lang.String` | `getContentTypeEncoding()` Returns the encoding in the content-type used to attempt determining the encoding.
    `java.lang.String` | `getContentTypeMime()` Returns the MIME type in the content-type used to attempt determining the encoding.
    `java.lang.String` | `getXmlEncoding()` Returns the encoding found in the XML prolog of the InputStream.
    `java.lang.String` | `getXmlGuessEncoding()` Returns the encoding guess based on the first bytes of the InputStream.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### bomEncoding

          private final java.lang.String bomEncoding

    - #### xmlGuessEncoding

          private final java.lang.String xmlGuessEncoding

    - #### xmlEncoding

          private final java.lang.String xmlEncoding

    - #### contentTypeMime

          private final java.lang.String contentTypeMime

    - #### contentTypeEncoding

          private final java.lang.String contentTypeEncoding

  - ### Constructor Detail

    - #### XmlStreamReaderException

          public XmlStreamReaderException(java.lang.String msg,
                                  java.lang.String bomEnc,
                                  java.lang.String xmlGuessEnc,
                                  java.lang.String xmlEnc)

      Creates an exception instance if the charset encoding could not be determined.

      Instances of this exception are thrown by the XmlStreamReader.

      Parameters:
        `msg` - message describing the reason for the exception.
        `bomEnc` - BOM encoding.
        `xmlGuessEnc` - XML guess encoding.
        `xmlEnc` - XML prolog encoding.

    - #### XmlStreamReaderException

          public XmlStreamReaderException(java.lang.String msg,
                                  java.lang.String ctMime,
                                  java.lang.String ctEnc,
                                  java.lang.String bomEnc,
                                  java.lang.String xmlGuessEnc,
                                  java.lang.String xmlEnc)

      Creates an exception instance if the charset encoding could not be determined.

      Instances of this exception are thrown by the XmlStreamReader.

      Parameters:
        `msg` - message describing the reason for the exception.
        `ctMime` - MIME type in the content-type.
        `ctEnc` - encoding in the content-type.
        `bomEnc` - BOM encoding.
        `xmlGuessEnc` - XML guess encoding.
        `xmlEnc` - XML prolog encoding.

  - ### Method Detail

    - #### getBomEncoding

          public java.lang.String getBomEncoding()

      Returns the BOM encoding found in the InputStream.
      Returns:
        the BOM encoding, null if none.

    - #### getXmlGuessEncoding

          public java.lang.String getXmlGuessEncoding()

      Returns the encoding guess based on the first bytes of the InputStream.
      Returns:
        the encoding guess, null if it couldn't be guessed.

    - #### getXmlEncoding

          public java.lang.String getXmlEncoding()

      Returns the encoding found in the XML prolog of the InputStream.
      Returns:
        the encoding of the XML prolog, null if none.

    - #### getContentTypeMime

          public java.lang.String getContentTypeMime()

      Returns the MIME type in the content-type used to attempt determining the encoding.
      Returns:
        the MIME type in the content-type, null if there was not content-type or the encoding detection did not involve HTTP.

    - #### getContentTypeEncoding

          public java.lang.String getContentTypeEncoding()

      Returns the encoding in the content-type used to attempt determining the encoding.
      Returns:
        the encoding in the content-type, null if there was not content-type, no encoding in it or the encoding detection did not involve HTTP.

Copyright (c) 2002-2016 Apache Software Foundation